#ifndef __GAME_H__
#define __GAME_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
enum {
	GAME_INIT  = 0x01,
	GAME_SEL,
};


//---------------------------------------------------------------------------
typedef struct {
	u16 state;

} ST_GAME;

//---------------------------------------------------------------------------
EWRAM_CODE void GameInit();
EWRAM_CODE void GameExec();
EWRAM_CODE void GameDraw();


#ifdef __cplusplus
}
#endif
#endif
