#include <stdio.h>
#include "onebmp.h"


//---------------------------------------------------------------------------
const char* FileList[] = {
	"ETC23", // $B%"%K%a!<%7%g%sMQ2hA|(B($BHs05=L(BBMP) 283
	"CGAK10",
	"CGAK11",
	"CGAK12",
	"CGAK13",
	"CGAK14",
	"CGAK20",
	"CGAK21",
	"CGAK22",
	"CGAK23",
	"CGAK24",
	"CGAK25",
	"CGAK22N",
	"CGAK23N",
	"CGAK30",
	"CGAK31",
	"CGAK32",
	"CGAK30N",
	"CGAK32N",
	"CGAK40",
	"CGAK41",
	"CGAK42",
	"CGAK43",
	"CGAK44",
	"CGAK45",
	"CGAK50",
	"CGAK51",
	"CGAK60",
	"CGAK61",
	"CGAK62",
	"CGMI10",
	"CGMI11",
	"CGMI11S",
	"CGMI20",
	"CGMI21",
	"CGMI22",
	"CGMI23",
	"CGMI24",
	"CGMI25",
	"CGMI26",
	"CGMI20N",
	"CGMI21N",
	"CGMI23N",
	"CGMI24N",
	"CGMI25N",
	"CGMI20S",
	"CGMI21S",
	"CGMI24S",
	"CGMI30",
	"CGMI31",
	"CGMI32",
	"CGMI32N",
	"CGMI40",
	"CGMI41",
	"CGMI42",
	"CGMI43",
	"CGMI44",
	"CGMI41N",
	"CGMI43N",
	"CGMI40S",
	"CGMI43S",
	"CGMI51",
	"CGMI50N",
	"CGMI60",
	"CGMI61",
	"CGMI62",
	"CGMI63",
	"CGMI60N",
	"CGMI62N",
	"CGMI63N",
	"CGMI61S",
	"CGMK10",
	"CGMK11",
	"CGMS10",
	"CGMS12",
	"CGMS13",
	"CGMS14",
	"CGMS10N",
	"CGMS12N",
	"CGMS13N",
	"CGMS14N",
	"CGMS10S",
	"CGMS12S",
	"CGMS21",
	"CGMS21N",
	"CGMS31",
	"CGMS40",
	"CGMS41",
	"CGMS42",
	"CGMS40N",
	"CGMS40S",
	"CGMS41S",
	"CGMS42S",
	"CGMS50",
	"CGMS51",
	"CGMS52",
	"CGMS53",
	"CGMS54",
	"CGMS55",
	"CGMS50N",
	"CGMS51N",
	"CGMS52N",
	"CGMS55N",
	"CGMS50S",
	"CGMS51S",
	"CGMS52S",
	"CGMS60",
	"CGMS60N",
	"CGMS60S",
	"CGMY10",
	"CGMY11",
	"CGMY12",
	"CGMY13",
	"CGMY14",
	"CGMY10N",
	"CGMY10C",
	"CGMY11C",
	"CGMY12C",
	"CGMY13C",
	"CGMY14C",
	"CGMY11D",
	"CGMY14D",
	"CGMY11DN",
	"CGMY14DN",
	"CGMY20",
	"CGMY20C",
	"CGMY20D",
	"CGMY30",
	"CGMY31",
	"CGMY32",
	"CGMY33",
	"CGMY34",
	"CGMY31N",
	"CGMY30C",
	"CGMY31C",
	"CGMY32C",
	"CGMY33C",
	"CGMY34C",
	"CGMY30D",
	"CGMY31D",
	"CGMY40",
	"CGMY41",
	"CGMY50",
	"CGMZ10",
	"CGMZ20",
	"CGMZ21",
	"CGMZ20N",
	"CGMZ30",
	"CGMZ31",
	"CGMZ32",
	"CGMZ33",
	"CGMZ34",
	"CGMZ33N",
	"CGMZ40",
	"CGMZ41",
	"CGMZ42",
	"CGMZ43",
	"CGMZ44",
	"CGMZ45",
	"CGMZ46",
	"CGMZ40N",
	"CGMZ41N",
	"CGMZ42N",
	"CGMZ43N",
	"CGMZ50",
	"CGMZ51",
	"CGRM10",
	"CGRM11",
	"CGRM12",
	"CGRM13",
	"CGRM14",
	"CGRM15",
	"CGRM10N",
	"CGRM11N",
	"CGRM14N",
	"CGRM15N",
	"CGRM20",
	"CGRM40",
	"CGRM43",
	"CGRM43N",
	"CGRM50",
	"CGRM51",
	"CGRM50N",
	"CGRM60",
	"CGSK10",
	"CGSK11",
	"CGSK12",
	"CGSK13",
	"CGSK14",
	"CGSK15",
	"CGSK20",
	"CGSK21",
	"CGSK22",
	"CGSK23",
	"CGSK24",
	"CGSK25",
	"CGSK26",
	"CGSM10",
	"CGSY10",
	"CGSY11",
	"CGSY21",
	"CGWA10",
	"CGWA11",
	"CGWA12",
	"CGWA13",
	"CGWA20",
	"CGWA21",
	"CGWA22",
	"CGWA23",
};
//---------------------------------------------------------------------------
int main()
{
	u8* pSrc;
	u8* pDst;
	u32 srcSize;
	u32 dstSize;

	s32 i;

	for(i=0; i<ARRAY_SIZE(FileList); i++)
	{
		printf("decoding BMP ... %s\n", FileList[i]);

		srcSize = OpenBuf(FileList[i], &pSrc);
		dstSize = DecodeBmp(FileList[i], pSrc, srcSize, &pDst);

		SaveFile(FileList[i], pDst, dstSize);

		free(pSrc);
		free(pDst);
	}

	return 0;
}
//---------------------------------------------------------------------------
u32 OpenBuf(const char* pName, u8** pBuf)
{
	FILE* fp = fopen(pName, "rb");

	if(fp == NULL)
	{
		printf("err filename\n");
		exit(1);
	}

	fpos_t fsize;
	fseek(fp,0,SEEK_END);
	fgetpos(fp, &fsize);
	fseek(fp,0,SEEK_SET);

	*pBuf = (u8*)calloc(fsize, sizeof(u8));
	fread(*pBuf, sizeof(u8), fsize, fp);

	return fsize;
}
//---------------------------------------------------------------------------
u32 DecodeBmp(const char* pName, u8* pSrc, u32 srcSize, u8** pDst)
{
	u32 dstSize;

	// $BHs05=L$N%U%!%$%k$N%A%'%C%/$r$7$^$9(B
	if(strcmp(pName, "ETC23") == 0)
	{
		dstSize = srcSize;
		*pDst   = (u8*)calloc(dstSize, sizeof(u8));

		memcpy(*pDst, pSrc, dstSize);
	}
	else
	{
		dstSize = DecodeBmpGetSize(pSrc, srcSize);
		*pDst   = (u8*)calloc(dstSize, sizeof(u8));

		DecodeBmpSub(*pDst, pSrc, srcSize);
	}

	return dstSize;
}
//---------------------------------------------------------------------------
void SaveFile(const char* pName, u8* pDst, u32 dstSize)
{
	char dstName[64];
	strcpy(dstName, pName);
	strcat(dstName, ".bmp");

	FILE* out = fopen(dstName, "wb+");
	if(out == NULL)
	{
		printf("err save file: %s\n", dstName);
		exit(1);
	}

	fwrite(pDst, sizeof(u8), dstSize, out);
	fclose(out);
}
//---------------------------------------------------------------------------
// $B?-D98e$N%5%$%:$rD4$Y$k(B
s32 DecodeBmpGetSize(u8* pSrc, u32 srcSize)
{
	const int SENTINEL = 0xf0;
	const u8* pPrev = pSrc;

	u32 decSize = 0;
	u8  tmp;

	while(pSrc = (u8*)(memchr(pSrc, SENTINEL, srcSize)))
	{
		decSize += pSrc - pPrev;
		tmp = *++pSrc;
		++pSrc;

		decSize += tmp;

		// $B$3$N>l9g$O<!$N%P%$%H$r(Bb$B8D=PNO$9$k$N$G!"(Bsrc$B$O$b$&(B1$B$D?J$a$k(B
		if(tmp > 2)
		{
			++pSrc;
		}

		srcSize -= pSrc - pPrev;
		pPrev = pSrc;
	}
	decSize += srcSize;

	return decSize;
}
//---------------------------------------------------------------------------
void DecodeBmpSub(u8* pDst, u8* pSrc, u32 size)
{
	// $B<!$N%G!<%?$,05=L$5$l$F$$$k$3$H$rI=$9<1JL;R(B
	const int SENTINEL = 0xf0;

	u8* endptr = pSrc + size;
	u8  tmp;

	// $BE83+(B
	while(pSrc < endptr)
	{
		// $B05=LId9f0J30$N>l9g$OIaDL$K=PNO(B
		if(*pSrc != SENTINEL)
		{
			*pDst++ = *pSrc++;
		}
		else
		{
			pSrc++;
			tmp = *pSrc++;

			// $B2DG=@-$N9b$$$b$N$+$i=hM}(B
			if(tmp > 2)
			{
				// $B$=$N?t$@$1<!$N%P%$%H$r=PNO(B
				s32 i;
				for(i=0; i<tmp; i++)
				{
					*pDst++ = *pSrc;
				}
				pSrc++;
			}
			else if(tmp == 2)
			{
				*pDst++ = SENTINEL;
				*pDst++ = SENTINEL;
			}
			else if(tmp == 1)
			{
				*pDst++ = SENTINEL;
			}
		} // if
	} // while
}
