#ifndef __ONE_CUT_H__
#define __ONE_CUT_H__


#include "gba.h"


//---------------------------------------------------------------------------
#define ARC_FILE_NAME				"DAT00"
#define ARC_FILE_MAGIC_STR			"YS ver1.00"
#define ARC_FILE_HEADER_SIZE		14


// $B%"!<%+%$%V%U%!%$%k$N%X%C%@(B
typedef struct {
	char magic[10];		// $B!V(BONE$B!W$N%"!<%+%$%V%U%!%$%k$G$"$k$3$H$r<($9J8;zNs(B
	s32  num;			// $BF~$C$F$$$k%U%!%$%k$N?t(B

} __PACKED ST_ARC_HEADER;


// $B%"!<%+%$%V%U%!%$%k$K3JG<$5$l$?3F%U%!%$%k$N%(%s%H%j(B
typedef struct {
	u32 offset;
	u32 size;

} __PACKED ST_ARC_ENTRY;

//---------------------------------------------------------------------------


#endif
