#include "game.h"
#include "view.h"

//---------------------------------------------------------------------------
ST_GAME Game;


//---------------------------------------------------------------------------
EWRAM_CODE void GameInit()
{
	Game.state = GAME_INIT;
}
//---------------------------------------------------------------------------
EWRAM_CODE void GameExec()
{
	switch(Game.state)
	{
	case GAME_INIT:
		ViewInit();
		Game.state = GAME_SEL;
		break;

	case GAME_SEL:
		ViewExec();
		break;

	default:
		SystemError("[Err] GameExec State");
		break;
	}
}
//---------------------------------------------------------------------------
EWRAM_CODE void GameDraw()
{
	
}
