#ifndef __MENU_H__
#define __MENU_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------

enum {
	MENU_LIST = 0x00,
	MENU_SEL,
	MENU_END,
};


//---------------------------------------------------------------------------

typedef struct {
	u16 state;

	s16 maxArcCnt;		// BASt@C̍ő吔
	s16 maxScnCnt;		// \ڂ̍ő吔
	s16 maxPageCnt;		// y[W̍ő吔
	s16 maxSelCnt;		// y[W̍Ō̍ő區ڐ
	s16 dispPageCnt;	// ݂̃y[W
	s16 dispSel;		// ݂̉ʔԍ

} ST_MENU;


//---------------------------------------------------------------------------
EWRAM_CODE void  MenuInit();
EWRAM_CODE void  MenuExec();
EWRAM_CODE void  MenuExecList();
EWRAM_CODE void  MenuExecSel();
EWRAM_CODE void  MenuRestart();

EWRAM_CODE void  MenuDrawList();
EWRAM_CODE void  MenuDrawCursor();
EWRAM_CODE void  MenuCls();

EWRAM_CODE char* MenuGetFilePointer();
EWRAM_CODE bool  MenuIsEnd();




#ifdef __cplusplus
}
#endif
#endif
